package com.steering.mes.mcp.entity;
/**
 * 数据库表YDM_OVERSTOCKPIPE_RESULT所对应的实体类（生成工具：代码生成器3.0）
 * @author 朱少波   date 2021-05-20
 */
@SuppressWarnings("serial")
public class YdmOverstockpipeResultEntity implements java.io.Serializable {
    /**
     * 实绩编号
     */
    private String resultNo = "";
    /**
     * 离线编号
     */
    private String resultNoLx = "";
    /**
     * 入库单编号
     */
    private String outstockDoc = "";
    /**
     * 产权出库单编号
     */
    private String outstockDoc1 = "";
    /**
     * 改判出库单编号
     */
    private String outstockDoc2 = "";
    /**
     * 判定单号
     */
    private String jugdeApplyCode = "";
    /**
     * 操作班次
     */
    private String proShift = "";
    /**
     * 操作班组
     */
    private String proGroup = "";
    /**
     * 创建时间
     */
    private String createTime = "";
    /**
     * 操作时间
     */
    private String proTime = "";
    /**
     * 有效标志(1:有效，0:无效)
     */
    private String validflag = "";
    /**
     * 判定炉号
     */
    private String judgeStoveNo = "";
    /**
     * 性能批号
     */
    private String batchNo = "";
    /**
     * 操作人
     */
    private String proUser = "";
    /**
     * 产线代码
     */
    private String plineCode = "";
    /**
     * 产线描述
     */
    private String plineName = "";
    /**
     * 工序代码
     */
    private String processCode = "";
    /**
     * 支数
     */
    private String actCount = "";
    /**
     * 重量
     */
    private String actWeight = "";
    /**
     * 作废人
     */
    private String deleteUser = "";
    /**
     * 作废时间
     */
    private String deleteTime = "";
    /**
     * 炉计划ID
     */
    private String heatPlanNo = "";
    
    /**
     * 类型（1-离线转压库，2-余材转压库）
     */
    private String flag = "";
    /**
     * 转压库申请状态（1-申请 2-审核通过）
     */
    private String applyFlag = "";
    /**
     * 转压库申请人
     */
    private String applyFlagName = "";
    /**
     * 转压库申请时间
     */
    private String applyFlagTime = "";
    /**
     * 转压库审核通过人
     */
    private String applyOkName = "";
    /**
     * 转压库审核通过时间
     */
    private String applyOkTime = "";


    /**
     * 实绩编号
     * @return value
     */
    public String getResultNo() {
        return resultNo;
    }

    /**
     * 实绩编号
     * @param resultNo value
     */
    public void setResultNo(String resultNo) {
        this.resultNo = resultNo;
    }

    /**
     * 离线编号
     * @return value
     */
    public String getResultNoLx() {
        return resultNoLx;
    }

    /**
     * 离线编号
     * @param resultNoLx value
     */
    public void setResultNoLx(String resultNoLx) {
        this.resultNoLx = resultNoLx;
    }

    /**
     * 入库单编号
     * @return value
     */
    public String getOutstockDoc() {
        return outstockDoc;
    }

    /**
     * 入库单编号
     * @param outstockDoc value
     */
    public void setOutstockDoc(String outstockDoc) {
        this.outstockDoc = outstockDoc;
    }

    /**
     * 判定单号
     * @return value
     */
    public String getJugdeApplyCode() {
        return jugdeApplyCode;
    }

    /**
     * 判定单号
     * @param jugdeApplyCode value
     */
    public void setJugdeApplyCode(String jugdeApplyCode) {
        this.jugdeApplyCode = jugdeApplyCode;
    }

    /**
     * 操作班次
     * @return value
     */
    public String getProShift() {
        return proShift;
    }

    /**
     * 操作班次
     * @param proShift value
     */
    public void setProShift(String proShift) {
        this.proShift = proShift;
    }

    /**
     * 操作班组
     * @return value
     */
    public String getProGroup() {
        return proGroup;
    }

    /**
     * 操作班组
     * @param proGroup value
     */
    public void setProGroup(String proGroup) {
        this.proGroup = proGroup;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 操作时间
     * @return value
     */
    public String getProTime() {
        return proTime;
    }

    /**
     * 操作时间
     * @param proTime value
     */
    public void setProTime(String proTime) {
        this.proTime = proTime;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @return value
     */
    public String getValidflag() {
        return validflag;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @param validflag value
     */
    public void setValidflag(String validflag) {
        this.validflag = validflag;
    }

    /**
     * 判定炉号
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 判定炉号
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 性能批号
     * @return value
     */
    public String getBatchNo() {
        return batchNo;
    }

    /**
     * 性能批号
     * @param batchNo value
     */
    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    /**
     * 操作人
     * @return value
     */
    public String getProUser() {
        return proUser;
    }

    /**
     * 操作人
     * @param proUser value
     */
    public void setProUser(String proUser) {
        this.proUser = proUser;
    }

    /**
     * 产线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 产线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 产线描述
     * @return value
     */
    public String getPlineName() {
        return plineName;
    }

    /**
     * 产线描述
     * @param plineName value
     */
    public void setPlineName(String plineName) {
        this.plineName = plineName;
    }

    /**
     * 工序代码
     * @return value
     */
    public String getProcessCode() {
        return processCode;
    }

    /**
     * 工序代码
     * @param processCode value
     */
    public void setProcessCode(String processCode) {
        this.processCode = processCode;
    }

    /**
     * 支数
     * @return value
     */
    public String getActCount() {
        return actCount;
    }

    /**
     * 支数
     * @param actCount value
     */
    public void setActCount(String actCount) {
        this.actCount = actCount;
    }

    /**
     * 重量
     * @return value
     */
    public String getActWeight() {
        return actWeight;
    }

    /**
     * 重量
     * @param actWeight value
     */
    public void setActWeight(String actWeight) {
        this.actWeight = actWeight;
    }

    /**
     * 作废人
     * @return value
     */
    public String getDeleteUser() {
        return deleteUser;
    }

    /**
     * 作废人
     * @param deleteUser value
     */
    public void setDeleteUser(String deleteUser) {
        this.deleteUser = deleteUser;
    }

    /**
     * 作废时间
     * @return value
     */
    public String getDeleteTime() {
        return deleteTime;
    }

    /**
     * 作废时间
     * @param deleteTime value
     */
    public void setDeleteTime(String deleteTime) {
        this.deleteTime = deleteTime;
    }

    /**
     * 炉计划ID
     * @return value
     */
    public String getHeatPlanNo() {
        return heatPlanNo;
    }

    /**
     * 炉计划ID
     * @param heatPlanNo value
     */
    public void setHeatPlanNo(String heatPlanNo) {
        this.heatPlanNo = heatPlanNo;
    }

	public String getFlag() {
		return flag;
	}

	public void setFlag(String flag) {
		this.flag = flag;
	}

	public String getOutstockDoc1() {
		return outstockDoc1;
	}

	public void setOutstockDoc1(String outstockDoc1) {
		this.outstockDoc1 = outstockDoc1;
	}

	public String getOutstockDoc2() {
		return outstockDoc2;
	}

	public void setOutstockDoc2(String outstockDoc2) {
		this.outstockDoc2 = outstockDoc2;
	}

    /**
     * 转压库申请状态（1-申请 2-审核通过）
     * @return value
     */
    public String getApplyFlag() {
        return applyFlag;
    }

    /**
     * 转压库申请状态（1-申请 2-审核通过）
     * @param applyFlag value
     */
    public void setApplyFlag(String applyFlag) {
        this.applyFlag = applyFlag;
    }

    /**
     * 转压库申请人
     * @return value
     */
    public String getApplyFlagName() {
        return applyFlagName;
    }

    /**
     * 转压库申请人
     * @param applyFlagName value
     */
    public void setApplyFlagName(String applyFlagName) {
        this.applyFlagName = applyFlagName;
    }

    /**
     * 转压库申请时间
     * @return value
     */
    public String getApplyFlagTime() {
        return applyFlagTime;
    }

    /**
     * 转压库申请时间
     * @param applyFlagTime value
     */
    public void setApplyFlagTime(String applyFlagTime) {
        this.applyFlagTime = applyFlagTime;
    }

    /**
     * 转压库审核通过人
     * @return value
     */
    public String getApplyOkName() {
        return applyOkName;
    }

    /**
     * 转压库审核通过人
     * @param applyOkName value
     */
    public void setApplyOkName(String applyOkName) {
        this.applyOkName = applyOkName;
    }

    /**
     * 转压库审核通过时间
     * @return value
     */
    public String getApplyOkTime() {
        return applyOkTime;
    }

    /**
     * 转压库审核通过时间
     * @param applyOkTime value
     */
    public void setApplyOkTime(String applyOkTime) {
        this.applyOkTime = applyOkTime;
    }
    
}